# Retrieve the summary of a bulk job Get the summary of a specific job by its ID. This operation returns a summary of the specified bulk job. Endpoint: GET /bulk-data/bulk-jobs/{id}/summary Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Path parameters: - `id` (string, required) The unique identifier of the job whose summary is being queried. ## Response 200 fields (application/json): - `id` (string) Unique identifier for the job - `name` (string) Name of the job - `description` (string) Description of the job - `createdAt` (integer) Time the job was created - `createdBy` (string) User who created the job - `status` (string) Status of the job Enum: "Created", "Submitted", "In Progress", "Aborting", "Completed", "Failed", "Aborted", "Cancelled", "Downloading" - `rowCount` (integer) Number of rows in the job - `rowsSucceeded` (integer) Number of rows that succeeded in the job - `rowsFailed` (integer) Number of rows that failed in the job - `lastUpdatedAt` (integer) Time the job was last updated - `failureReason` (string) Reason the job failed - `objectType` (string) Type of object the job is for - `jobType` (string) Type of job Enum: "Import", "Delete", "Update", "Cancel" - `isCustomObject` (boolean) Whether the job is for a custom object - `customObjectNamespace` (string) Namespace of the custom object the job is for - `dataSourceType` (string) Type of data source the job is for Enum: "UserUpload", "Salesforce", "Chargebee", "Stripe" - `systemType` (string) Type of system the job is for Enum: "BILLING" - `fileType` (string) Type of the source file Enum: "csv", "jsonl" ## Response 404 fields ## Response 500 fields